<template>
  <div class="skm-header">
    <div class="header-top container">
      <div class="row">
        <div
          class="header-top-container col-11 col-md-7 col-lg-5 mx-auto mx-md-0"
        >
          <h3 class="header-title">
            <div class="text">{{ $t(`group.${groupId}`) }}</div>
            <div
              v-if="showSwitchButton"
              class="button-switch-group"
              @click="switchGroup()"
            >
              {{ switchText }}<i class="ic-sm-arrow"></i>
            </div>
          </h3>
          <div class="search-branch">
            <button class="search-btn" @click="$emit('search-click')">
              {{ $t(`branchSelector.select`) }}
              <i class="ic-sm-arrow"></i>
            </button>
            <p class="search-hint" v-show="hasAddress && !isMatchDeliveryScope">
              <i>!</i>{{ $t(`branchSelector.noResult`) }}
            </p>
          </div>
        </div>
      </div>
    </div>
    <div class="header-bottom">
      <slot></slot>
    </div>
  </div>
</template>
<script>
import { mapState } from "vuex";
import Tabs from "@/components/Group/Tabs";

export default {
  components: {
    Tabs
  },
  props: {
    groupId: {
      required: true
    }
  },
  computed: {
    ...mapState("branch", ["searchResult", "select", "isMatchDeliveryScope"]),
    hasAddress() {
      return this.select.city && this.select.area && this.select.address;
    },
    pageName() {
      return this.$route.name;
    },
    showSwitchButton() {
      return ["nanxifoodmap", "skm-nanxi"].includes(this.$route.params.groupId);
    },
    switchText() {
      return this.$route.params.groupId === "nanxifoodmap"
        ? this.$t("header.button.goto-skm-nanxi")
        : this.$t("header.button.goto-nanxifoodmap");
    }
  },
  methods: {
    switchGroup() {
      let path = "";
      if (this.$route.params.groupId === "nanxifoodmap") {
        path = "/groups/skm-nanxi";
      } else {
        path = "/groups/nanxifoodmap";
      }
      if (this.$route.name === "GroupMap") {
        path += "/map";
      }
      this.$router.push(path);
    }
  }
};
</script>
<style lang="scss" scoped>
.skm-header {
  position: relative;
  background: $color-genesis-white url(/static/images/banner-mobile.jpg) center
    top/100% auto no-repeat;
  text-align: center;
  overflow: hidden; // hide left, right background
  user-select: none;
  @include media-breakpoint-up(md) {
    background: url(/static/images/banner.jpg) center/cover no-repeat;
    overflow: visible;
    text-align: left;
  }
}

a {
  color: $color-secondary-black;
  z-index: 1;
  transition: all 0.5s;
  cursor: pointer;

  &.router-link-active {
    color: $color-white;
  }
}

.header-top-container {
  position: static;
}

.header-title {
  padding: 100px 0 14px 0;
  margin-bottom: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  .text {
    line-height: 1;
    // color: $color-primary-black;
    font-size: 28px;
    font-weight: 500;
    white-space: nowrap;
  }
  .button-switch-group {
    height: 26px;
    border: 1.5px solid #ffffff;
    background-color: transparent;
    border-radius: 18px;
    margin-top: 12px;
    font-size: 12px;
    font-weight: 500;
    // color: $color-skm-red;
    padding: 4px 6px 4px 16px;
    display: inline-flex;
    justify-content: center;
    white-space: nowrap;
    cursor: pointer;
    z-index: 2;
    .theme-vip-member & {
      border: 1.5px solid $color-skm-gold;
      color: $color-skm-gold;
    }

    &:hover {
      border: 1.5px solid #000;
      background-color: $color-white;
      color: #000;
      .theme-vip-member & {
        border: 1.5px solid $color-skm-gold;
        background-color: $color-skm-gold;
      }
    }

    .ic-sm-arrow {
      position: relative;
      display: block;
      width: 18px;

      &:before {
        position: absolute;
        margin-top: 0px;
        transform: translate(-50%, -50%) rotate(-90deg) scale(0.7);
        font-size: 8px;
        top: 50%;
        left: 50%;
      }
    }
  }
  @include media-breakpoint-up(sm) {
    padding: 140px 0 14px 0;
  }
  @include media-breakpoint-up(md) {
    padding: 140px 0 20px 0;
    width: 100%;

    .text {
      font-size: 40px;
    }
    .button-switch-group {
      height: 35px;
      margin-top: 5px;
      margin-left: 15px;
      font-size: 14px;
      padding: 7px 12px 7px 16px;
      .ic-sm-arrow {
        margin-top: -1px;
        &:before {
          transform: translate(-50%, -50%) rotate(-90deg) scale(0.8);
        }
      }
    }
  }
  @include media-breakpoint-up(md) {
    flex-direction: row;
    align-items: flex-start;
  }
}

.header-description {
  color: $color-primary-black;
  font-size: 14px;
  margin-bottom: 0;
  line-height: 1.5625em;

  @include media-breakpoint-up(md) {
    font-size: 18px;
  }
}

.header-top {
  color: $color-white;
  z-index: 1;
}

.header-bottom {
  position: relative;
  z-index: 2;
  padding: 0 0 12px 0;
  @include media-breakpoint-up(md) {
    padding: 30px 0;
    &:before {
      display: none;
    }
  }

  &:before {
    content: "";
    background-color: #ffffff;
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 32px;
    left: 0;
  }
}

.header-menu {
  text-align: center;
  position: relative;
  overflow: hidden;
  margin: 20px auto;
  height: 40px;
  width: 240px;
  border: 4px solid $color-white;
  border-radius: 24px;
  background-color: $color-white;
  box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.05);

  &:before {
    content: "";
    display: block;
    width: 50%;
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    background-color: $color-skm-red;
    border-radius: 24px;
    transition: all 0.5s;
  }

  &.active-right:before {
    transform: translate(100%);
  }

  @include media-breakpoint-up(md) {
    width: 375px;
    font-size: 16px;
    position: absolute;
    left: 50%;
    top: 0;
    height: 48px;
    transform: translateX(-50%);
  }
}
.search-branch {
  margin-bottom: 35px;

  .search-btn,
  .search-hint {
    color: #ffffff;
  }
  .search-btn {
    border: 1px #ffffff solid;
    width: 224px;
    height: 32px;
    background-color: transparent;
    border-radius: 32px;
    margin-bottom: 13px;
    i {
      font-size: 10px;
      &::before {
        transform: rotate(-90deg);
      }
    }
  }
  .search-hint {
    font-size: 12px;
    margin: 0;
    i {
      font-style: normal;
      display: inline-block;
      width: 16px;
      height: 16px;
      text-align: center;
      border-radius: 16px;
      font-size: 12px;
      font-weight: bolder;
      margin-right: 4px;
      color: #000;
      background-color: #fff;
    }
  }

  @include media-breakpoint-up(md) {
    margin-bottom: 0px;

    .search-btn {
      font-size: 16px;
      height: 40px;
    }
    .search-hint {
      font-size: 14px;
    }
  }
}
</style>
